Subject: Re: [RFC/PATCH 01/11] ref-filter: add "%(objectname:size=X)" option

From: Matthieu Moy <[email-masked]>
Date: Tue, 28 Jul 2015 10:42:22 +0200

Karthik Nayak <[email-masked]> writes:

> +	if (skip_prefix(name, "objectname:size=", &p)) {
> +		unsigned int size = atoi(p);

You have the same problem as for tag.c: don't use atoi, and make
accurate error checking (absence of value, negative value, non-integer
value).

If you have other higher-priorities task, leave a temporary comment 
/* FIXME: ... */ or /* TODO: ... */ and make sure you have no such
comment when you drop the "RFC" in the subject of your emails.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/